HyperTRIBE strains were grown consistently under arabinose-induced promoter-on conditions. Hyphae were induced by shifting 50 ml of exponentially growing cells from CM to NM medium, each supplemented with 1% arabinose. After 6 hours, the hyphal cells were harvested by centrifugation at 7546 g for 10 min at 4 °C. Cell pellets were resuspended in 1 ml ice-cold nuclease-free water and transferred to a 2 ml centrifuge tube. Cells were harvested at 7546 g, for 10 min at 4 °C, and the supernatant was removed completely. The resulting cell pellets were flash-frozen in liquid nitrogen and stored at -80 °C until further use.

Total RNA was extracted using the RNeasy Plant Mini Kit (74904; Qiagen, Hilden, Germany) following the manufacturer’s instructions. Cell pellets were mechanically lysed at 30 Hz for 5 min at 4 °C in Mixer Mill MM400 (Retsch, Haan, Germany), in the presence of glass beads and Buffer RLC (+ß-mercaptoethanol). The resulting cell lysate was transferred to the QIAshredder spin column for further homogenization. The supernatant was transferred to a new centrifuge tube, mixed with 1 volume of 70% ethanol, and added to the RNeasy spin column. The subsequent steps were performed as per the manufacturer’s protocol. To eliminate genomic DNA contamination, the on-column DNase digestion was performed using the RNase-Free DNase set (79254; Qiagen, Hilden, Germany). VAHTS® Universal V6 RNA-seq Library Prep Kit for Illumina (NR604-01/02; Vazyme) was used for cDNA library generation. All cDNA libraries expressing hyperTRIBE constructs sequenced using the HiSeq 3000 platform (Illumina), were processed simultaneously to obtain 151 nt single-end reads.
The bioinformatics analyses were based on the U. maydis 521 genome sequence (Ustilago_maydis.Umaydis521_2.0.dna_rm.chromosome) and the associated gene annotation (Ustilago_maydis.Umaydis521_2.0.41.gff3; both downloaded from http://ftp.ensemblgenomes.org/pub/fungi/release-53/fasta/ustilago_maydis/dna/; 16). To incorporate potential 5´ UTR and 3´ UTR regions, which are not currently annotated in the Ustilago maydis genome, we manually extended all genes by 300 nucleotides (nt) on each side. This extension was determined based on the transcript read coverage profile (Fig. S13E-F; see Differential gene expression analysis). While the majority of UTRs were shorter than 150 nt, we observed a subset of transcripts with UTRs spanning 300 nt in length. To ensure comprehensive coverage of all potential editing sites, we decided to manually extend the genes by 300 nt on both sides of the open reading frame (ORF). The extended GTF file was converted to refFlat format using the UCSC gtfToGenePred tool.
The A-to-G editing events on transcripts were identified using the wtRNA-RNA approach from the previously established hyperTRIBE pipeline (17; https://hypertribe.readthedocs.io/en/latest/run.html#b-find-rna-edit-sites-using-wtrna-rna-approaches). In brief, RNA-seq reads were trimmed based on sequencing quality (Phred score) using Trimmomatic (version 0.39; 18). Specifically, reads with a Phred score of less than 25 were trimmed and removed when the read length fell below 19 nt. The trimmed reads were then mapped to the U. maydis genome sequence and gene annotation using STAR (version 2.5.2b; 19), allowing reads that were mapped to exactly one location, had a minimum of 16 matched bases, and contained no more than 7% mismatches per mapped length. Uniquely mapped alignments in SAM format were loaded into a MySQL table with genomic coordinates. The nucleotides at each position in the test mRNA libraries (RBP-Ada-Gfp, control-Ada) were compared with those of the control mRNA library (wtRNA: RBP-Gfp) to identify A-to-G editing sites. Only editing events with a minimum of 20 read coverage and 5% editing were considered for further analysis. Editing sites that are assigned to more than one gene were removed from the analysis. From this, the list of reproducible editing sites that were consistently present in both replicates of either RBP-Ada-Gfp or control-Ada libraries was
identified. The resulting reproducible editing events from RBP-Ada-Gfp and control-Ada were compared against each other to determine the editing sites that were unique to RBP-Ada-Gfp (Fig. S4A, S6A).
Subcellular localization of proteins was defined using DeepLoc-2.0 (20; https://services.healthtech.dtu.dk/service.php?DeepLoc-2.0) and the cellular compartment ontology. Cellular compartment ontology annotations for U. maydis genes were downloaded from QuickGO (21, 22; https://www.ebi.ac.uk/QuickGO/annotations). A gene was assigned to more than one category if they were predicted to localize in more than one subcellular region.